API ReferenceapiclinicalGET /v1/red-flags/{patient_id}

GET /v1/red-flags/\{patient_id\}

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • patient_id (string) required

Responses

200 Red flags for patient

{
  "type": "object",
  "properties": {
    "flags": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "rule_id": {
            "type": "string"
          },
          "rule_name": {
            "type": "string"
          },
          "severity": {
            "type": "string",
            "enum": [
              "urgent",
              "warn",
              "info"
            ]
          },
          "biomarker_code": {
            "type": "string"
          },
          "biomarker_id": {
            "type": "string"
          },
          "message": {
            "type": "string"
          },
          "acknowledged": {
            "type": "boolean"
          },
          "detected_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "patient_id",
          "brand_id",
          "rule_id",
          "rule_name",
          "severity",
          "biomarker_code",
          "biomarker_id",
          "message",
          "acknowledged",
          "detected_at"
        ]
      }
    }
  },
  "required": [
    "flags"
  ]
}

Example

curl -X GET https://clinical.platform.loop.health/v1/red-flags/{patient_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"